### Function

# AppStream vercmp_test_match

since: 0.16.0

#### Declaration [src]

    gboolean
    as_vercmp_test_match (
      const gchar* ver1,
      AsRelationCompare compare,
      const gchar* ver2,
      AsVercmpFlags flags
    )

#### Description [src]

Compare two version numbers and check if the given version comparator matches.

Available since: 0.16.0

#### Parameters

`ver1`

  Type: `const gchar*`

  First version number.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`compare`

  Type: `AsRelationCompare`

  The comparison operator.

`ver2`

  Type: `const gchar*`

  Second version number.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `AsVercmpFlags`

  The `AsVercmpFlags` to use.

#### Return value

Type: `gboolean`

`TRUE` if the version comparison matches, `FALSE` otherwise.